Bug 1637994

Summary: python-statsmodels: Remove (sub)packages from Fedora 30+: python2-statsmodels
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: python-statsmodelsAssignee: Sergio Pascual <sergio.pasra>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: cstratak, igor.raits, mhroncok, ngompa13, pviktori, sergio.pasra, zbyszek
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-statsmodels-0.9.0-5.fc30 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-02-26 12:32:02 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1625773    

Description Miro Hrončok 2018-10-10 13:01:18 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of python-statsmodels were marked for removal:

 * python2-statsmodels

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

Comment 1 Miro Hrončok 2018-10-12 10:26:38 UTC
This was opened just 2 days ago.

Comment 2 Miro Hrončok 2018-12-12 20:03:51 UTC
There is the same problem as in https://bugzilla.redhat.com/show_bug.cgi?id=1630955

But even after fixing it, I get:

updating environment: 2711 added, 0 changed, 0 removed
reading sources... [  0%] about
reading sources... [  0%] anova


>>>-------------------------------------------------------------------------
Exception in /builddir/build/BUILD/statsmodels-0.9.0/docs/source/anova.rst at block ending on line 30
Specify :okexcept: as an option in the ipython:: block to suppress this message
---------------------------------------------------------------------------
ImportError                               Traceback (most recent call last)
<ipython-input-1-085740203b77> in <module>
----> 1 import statsmodels.api as sm

~/build/BUILD/statsmodels-0.9.0/statsmodels/api.py in <module>
      5 from . import regression
      6 from .regression.linear_model import OLS, GLS, WLS, GLSAR
----> 7 from .regression.recursive_ls import RecursiveLS
      8 from .regression.quantile_regression import QuantReg
      9 from .regression.mixed_linear_model import MixedLM

~/build/BUILD/statsmodels-0.9.0/statsmodels/regression/recursive_ls.py in <module>
     14 from statsmodels.regression.linear_model import OLS
     15 from statsmodels.tools.data import _is_using_pandas
---> 16 from statsmodels.tsa.statespace.mlemodel import (
     17     MLEModel, MLEResults, MLEResultsWrapper)
     18 from statsmodels.tools.tools import Bunch

~/build/BUILD/statsmodels-0.9.0/statsmodels/tsa/statespace/mlemodel.py in <module>
     16 from scipy.stats import norm
     17 
---> 18 from .simulation_smoother import SimulationSmoother
     19 from .kalman_smoother import SmootherResults
     20 from .kalman_filter import (INVERT_UNIVARIATE, SOLVE_LU)

~/build/BUILD/statsmodels-0.9.0/statsmodels/tsa/statespace/simulation_smoother.py in <module>
      8 
      9 import numpy as np
---> 10 from .kalman_smoother import KalmanSmoother
     11 from . import tools
     12 

~/build/BUILD/statsmodels-0.9.0/statsmodels/tsa/statespace/kalman_smoother.py in <module>
      9 import numpy as np
     10 
---> 11 from statsmodels.tsa.statespace.representation import OptionWrapper
     12 from statsmodels.tsa.statespace.kalman_filter import (KalmanFilter,
     13                                                       FilterResults)

~/build/BUILD/statsmodels-0.9.0/statsmodels/tsa/statespace/representation.py in <module>
      8 
      9 import numpy as np
---> 10 from .tools import (
     11     find_best_blas_type, validate_matrix_shape, validate_vector_shape
     12 )

~/build/BUILD/statsmodels-0.9.0/statsmodels/tsa/statespace/tools.py in <module>
    205             'z': _statespace.zcopy_index_vector
    206         })
--> 207 set_mode(compatibility=None)
    208 
    209 

~/build/BUILD/statsmodels-0.9.0/statsmodels/tsa/statespace/tools.py in set_mode(compatibility)
     57     if not compatibility:
     58         from scipy.linalg import cython_blas
---> 59         from . import (_representation, _kalman_filter, _kalman_smoother,
     60                        _simulation_smoother, _tools)
     61         compatibility_mode = False

ImportError: cannot import name '_representation' from 'statsmodels.tsa.statespace' (/builddir/build/BUILD/statsmodels-0.9.0/statsmodels/tsa/statespace/__init__.py)
<<<-------------------------------------------------------------------------


Exception occurred:
  File "/usr/lib/python3.7/site-packages/IPython/sphinxext/ipython_directive.py", line 567, in process_input
    raise RuntimeError('Non Expected exception in `{}` line {}'.format(filename, lineno))
RuntimeError: Non Expected exception in `/builddir/build/BUILD/statsmodels-0.9.0/docs/source/anova.rst` line 30
The full traceback has been saved in /tmp/sphinx-err-o3m37g9a.log, if you want to report the issue to the developers.

Comment 3 Miro Hrončok 2019-01-09 11:58:39 UTC
Sergio, would you be able to fix this?

Comment 4 Sergio Pascual 2019-01-20 18:19:47 UTC
I'm looking into it

Comment 5 Miro Hrončok 2019-02-21 19:05:30 UTC
Were you able to solve the problem?

Comment 6 Sergio Pascual 2019-02-25 15:06:26 UTC
Yes, but I had to disable the docs

https://koji.fedoraproject.org/koji/buildinfo?buildID=1206890